Bug 1334640 - mongod does not start on armv7: The default storage engine 'mmapv1' is not available with this build of mongod
Summary: mongod does not start on armv7: The default storage engine 'mmapv1' is not av...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: rawhide
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 08:28 UTC by Petr Pisar
Modified: 2016-06-18 18:57 UTC (History)
8 users (show)

Fixed In Version: mongodb-3.2.6-2.fc25 mongodb-3.2.6-4.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:57:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1303846 0 unspecified CLOSED mongod does not start on i686: The default storage engine 'wiredTiger' is not available with this build of mongod 2021-02-22 00:41:40 UTC

Internal Links: 1303846

Description Petr Pisar 2016-05-10 08:28:59 UTC
There is a regression between 3.2.4-1.fc25 and 3.2.6-1.fc25. mongod defaults to unsupported storage on 32-bit ARM now:

+ mkdir test_db
+ mongod --fork --logpath /builddir/build/BUILD/MongoDB-v1.2.3/mongod.log --pidfilepath /builddir/build/BUILD/MongoDB-v1.2.3/mongod.pid --dbpath /builddir/build/BUILD/MongoDB-v1.2.3/test_db/ --smallfiles
2016-05-06T16:19:36.592+0000 I CONTROL  [main] 
2016-05-06T16:19:36.592+0000 W CONTROL  [main] 32-bit servers don't have journaling enabled by default. Please use --journal if you want durability.
2016-05-06T16:19:36.592+0000 I CONTROL  [main] 
about to fork child process, waiting until server is ready for connections.
forked process: 25939
ERROR: child process failed, exited with error number 100
+ test_rc=100
Error: Could not start mongod server
+ '[' -n 100 ']'
+ printf 'Error: Could not start mongod server\n'
+ cat mongod.log
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] MongoDB starting : pid=25939 port=27017 dbpath=/builddir/build/BUILD/MongoDB-v1.2.3/test_db/ 32-bit host=arm04-builder19.arm.fedoraproject.org
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] db version v3.2.6
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] git version: 05552b562c7a0b3143a729aaa0838e558dc49b25
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] OpenSSL version: OpenSSL 1.0.2h-fips  3 May 2016
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] allocator: system
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] modules: none
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] build environment:
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten]     distarch: arm
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten]     target_arch: arm
2016-05-06T16:19:36.626+0000 I CONTROL  [initandlisten] options: { processManagement: { fork: true, pidFilePath: "/builddir/build/BUILD/MongoDB-v1.2.3/mongod.pid" }, storage: { dbPath: "/builddir/build/BUILD/MongoDB-v1.2.3/test_db/", mmapv1: { smallFiles: true } }, systemLog: { destination: "file", path: "/builddir/build/BUILD/MongoDB-v1.2.3/mongod.log" } }
2016-05-06T16:19:36.726+0000 I STORAGE  [initandlisten] exception in initAndListen: 28663 Cannot start server. The default storage engine 'mmapv1' is not available with this build of mongod. Please specify a different storage engine explicitly, e.g. --storageEngine=mmapv1., terminating
2016-05-06T16:19:36.726+0000 I CONTROL  [initandlisten] dbexit:  rc: 100

Comment 1 Marek Skalický 2016-05-13 12:48:35 UTC
Building mmapv1 storage driver become optional. On ARM it was not decided to build it by default.

Comment 2 Fedora Update System 2016-05-16 08:58:25 UTC
mongodb-3.2.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01298316c5

Comment 3 Fedora Update System 2016-05-16 23:56:11 UTC
mongodb-3.2.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01298316c5

Comment 4 Fedora Update System 2016-05-26 06:00:00 UTC
mongodb-3.2.6-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eae91c887b

Comment 5 Fedora Update System 2016-05-26 23:28:40 UTC
mongodb-3.2.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eae91c887b

Comment 6 Fedora Update System 2016-06-18 18:57:18 UTC
mongodb-3.2.6-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.